lipo: no puedo averiguar el tipo de architecture de: / var / carpetas /

Intenté instalar lxml en Mac OSX Snowleopard y sigo recibiendo el error:

lipo: can't figure out the architecture type of: /var/folders/ 

Instalé XCode con 10.4 SDK y cambié de gcc 4.2 a 4.0.1

¿¿¿Alguna pista??? Python 2.6.1 con Leopard 1.6.7 ..

 running install running bdist_egg running egg_info writing src/lxml.egg-info/PKG-INFO writing top-level names to src/lxml.egg-info/top_level.txt writing dependency_links to src/lxml.egg-info/dependency_links.txt reading manifest file 'src/lxml.egg-info/SOURCES.txt' reading manifest template 'MANIFEST.in' warning: no files found matching 'lxml.etree.c' under directory 'src/lxml' warning: no files found matching 'lxml.objectify.c' under directory 'src/lxml' warning: no files found matching 'lxml.etree.h' under directory 'src/lxml' warning: no files found matching 'lxml.etree_api.h' under directory 'src/lxml' warning: no files found matching '*.html' under directory 'doc' writing manifest file 'src/lxml.egg-info/SOURCES.txt' installing library code to build/bdist.macosx-10.6-universal/egg running install_lib running build_py running build_ext building 'lxml.etree' extension gcc-4.2 -fno-strict-aliasing -fno-common -dynamic -DNDEBUG -g -fwrapv -Os -Wall -Wstrict-prototypes -DENABLE_DTRACE -arch i386 -arch ppc -arch x86_64 -pipe -I/usr/include/libxml2 -I/System/Library/Frameworks/Python.framework/Versions/2.6/include/python2.6 -c src/lxml/lxml.etree.c -o build/temp.macosx-10.6-universal-2.6/src/lxml/lxml.etree.o -w -flat_namespace i686-apple-darwin10-gcc-4.2.1: src/lxml/lxml.etree.c: No such file or directory i686-apple-darwin10-gcc-4.2.1: no input files powerpc-apple-darwin10-gcc-4.2.1: src/lxml/lxml.etree.c: No such file or directory powerpc-apple-darwin10-gcc-4.2.1: no input files i686-apple-darwin10-gcc-4.2.1: src/lxml/lxml.etree.c: No such file or directory i686-apple-darwin10-gcc-4.2.1: no input files lipo: can't figure out the architecture type of: /var/tmp//ccCwMxyq.out error: command 'gcc-4.2' failed with exit status 1 

tiene un problema de architecture para su Python. Debido a los cambios en Xcode 4 (eliminación del soporte para 10.4u SDK y gcc-4.0) no es práctico construir módulos de extensión C con ese Python en 10.7 Lion. Utilice la Python 2.7 suministrada por Apple

/usr/bin/python2.7

Instale el instalador Python 2.7.3 para Mac OS X de 64 bits / 32 bits x86-64 / i386

Tenía el mismo problema al intentar instalar milk con Python 2.7. No pude resolver mi problema con la respuesta exacta de Ali Elouafiq, pero sí pude instalar la leche utilizando los sistemas Python 2.6.

Por lo tanto, tal vez probar otras versiones de Python hasta que funcione sea un enfoque rentable.

Descubrí que los problemas de comstackción como estos se evitan fácilmente instalando python a través de brew. Si brew no puede vincular la fórmula, solo fuerza con:

 brew link --overwrite python 

Véase también: http://docs.python-guide.org/en/latest/starting/install/osx/